#ifndef anti01SteppingAction_h
#define anti01SteppingAction_h 1

#include "G4UserSteppingAction.hh"

class anti01DetectorConstruction;
class anti01EventAction;

class anti01SteppingAction : public G4UserSteppingAction
{
public:
  anti01SteppingAction(const anti01DetectorConstruction* detectorConstruction,
                    anti01EventAction* eventAction);
  virtual ~anti01SteppingAction();

  virtual void UserSteppingAction(const G4Step* step);
    
private:
  const anti01DetectorConstruction* fDetConstruction;
  anti01EventAction*  fEventAction;  
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif        
