#ifndef anti01ActionInitialization_h
#define anti01ActionInitialization_h 1

#include "G4VUserActionInitialization.hh"
#include "anti01PrimaryGeneratorAction.hh"
#include "anti01RunAction.hh"
#include "anti01EventAction.hh"
#include "anti01SteppingAction.hh"
#include "anti01DetectorConstruction.hh"
/// Action initialization class.
//

class anti01DetectorConstruction;

class anti01ActionInitialization : public G4VUserActionInitialization
{
  public:
    anti01ActionInitialization(anti01DetectorConstruction*);
    virtual ~anti01ActionInitialization();

//    virtual void BuildForMaster() const;
    virtual void Build() const;

  private:
    anti01DetectorConstruction* fDetConstruction;
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif

